### Property

# Ide Buffer:file-settings

#### Declaration

    property file-settings: Ide.FileSettings [ read ]

#### Description

The “file-settings” property are the settings to be used by the buffer and source-view for the underlying file.

These are automatically discovered and kept up to date based on the `IdeFileSettings` extension points.

Type: | `IdeFileSettings`
Available since: | 3.32

Getter method | `ide_buffer_get_file_settings()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no